package com.ruoyi.ems.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 计量设备对象 adm_meter_device
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public class MeterDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设备代码 */
    private String deviceCode;

    /** 服务区代码 */
    private String areaCode;

    /** 计量类别 */
    private Long meterCls;

    /** 计量对象类型 1-区块 2-设备 */
    private Long objType;

    /**
     * 计量对象类型
     * obj_type=1
     *  - 1: 园区  2: 建筑  3：区块
     * obj_type =2
     *    1: 设施  2:设备
     */
    private Long objSubType;

    /** 计量对象编码 */
    private String objCode;

    /** 计量对象名称 */
    private String objName;

    /** 计量对象标记 */
    private Integer objTag;

    /** 采集周期 */
    private Long colCycle;

    /** 采集方式 */
    private Long colMode;

    /** 倍率 */
    private Integer magnification;

    /** 规格描述 */
    private String specDesc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Long getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Long meterCls) {
        this.meterCls = meterCls;
    }

    public Long getObjType() {
        return objType;
    }

    public void setObjType(Long objType) {
        this.objType = objType;
    }

    public Long getObjSubType() {
        return objSubType;
    }

    public void setObjSubType(Long objSubType) {
        this.objSubType = objSubType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public Long getColCycle() {
        return colCycle;
    }

    public void setColCycle(Long colCycle) {
        this.colCycle = colCycle;
    }

    public Long getColMode() {
        return colMode;
    }

    public void setColMode(Long colMode) {
        this.colMode = colMode;
    }

    public Integer getMagnification() {
        return magnification;
    }

    public void setMagnification(Integer magnification) {
        this.magnification = magnification;
    }

    public String getSpecDesc() {
        return specDesc;
    }

    public void setSpecDesc(String specDesc) {
        this.specDesc = specDesc;
    }

    @Override
    public String toString() {
        return "MeterDevice{" + "id=" + id + ", deviceCode='" + deviceCode + '\'' + ", areaCode='" + areaCode + '\''
            + ", meterCls=" + meterCls + ", objType=" + objType + ", objSubType=" + objSubType + ", objCode='" + objCode
            + '\'' + ", objName='" + objName + '\'' + ", objTag='" + objTag + '\'' + ", colCycle=" + colCycle
            + ", colMode=" + colMode + ", magnification=" + magnification + ", specDesc='" + specDesc + '\'' + '}';
    }
}
